Jump to content

Treddi Krueger

Members
  • Portfolio

    Portfolio
  • Content Count

    177
  • Joined

  • Last visited


Reputation Activity

  1. Like
    Treddi Krueger reacted to GP in Creare comando personalizzato "Ruota asse X +90"   
    Dopo che hai salvato il codice sopra con nome r3x.LSP puoi impostare la macro di menu in base a dove posizioni il file:
     
    se posizioni il file in una cartella letta dal percorso di AutoCAD (Opzioni\File\Percorso di ricerca dei file di supporto)
    ^C^C(load "r3x") r3x
     
    se posizioni il file in una cartella qualunque, ad es. D:\pippo
    ^C^C(load "D:/pippo/r3x") r3x
     
    se aggiungi il file al gruppo di avvio (Appload -> Contenuto)
    ^C^Cr3x
     
    nota: nel caricamento l'estensione del file (LSP) può essere omessa.
     
  2. Like
    Treddi Krueger reacted to GP in Creare comando personalizzato "Ruota asse X +90"   
    ROTATE3D non è un comando AutoCAD, ma una funzione contenuta, tra le altre, in GEOM3D.ARX
    Per questo motivo se la richiami dalla riga di comando funziona, in quanto viene caricata la funzione, che poi "gira" anche al successivo lancio del lisp.
    Per ovviare puoi inserire questa stringa nella seconda riga di codice:
    (or rotate3d (arxload "geom3d"))
    😎
  3. Like
    Treddi Krueger reacted to GP in Creare comando personalizzato "Ruota asse X +90"   
    Questa macro dovrebbe funzionare
    ^C^C^P(rotate3d (ssget) "x" (getpoint "Specificare un punto sull'asse X") 90) ^P
     
    Avresti però problemi con gli undo, come macro del pulsante ti consiglio di richiamare un lisp tipo questo:
     
    (defun c:r3x ( / sel ) (vl-load-com) (vla-startundomark (vla-get-activedocument (vlax-get-acad-object))) (if (and (princ "\nSELEZIONARE GLI OGGETTI DA RUOTARE") (setq sel (ssget)) ) (rotate3d sel "x" (getpoint "Specificare un punto sull'asse X") 90) ) (vla-endundomark (vla-get-activedocument (vlax-get-acad-object))) (princ) )  
     
  4. Thanks
    Treddi Krueger reacted to Tristan in Quotatura con cifra dei millimetri "più piccola"   
    Con Revit si fa; con AutoCAD non mi risulta
  5. Thanks
    Treddi Krueger reacted to dieva in Quote Altimetriche   
    Potresti risolvere con un blocco...
    1 - Crea un blocco (un punto, una crocetta...) con 1 attributo qualsiasi
    2 - Richiama l'editore dei blocchi e poi doppio click sull'attributo.
    3 - Nel campo 'Default' click destro e richiama da menu contestuale 
    "Inserisci campo dati"
    4 - Nella finestra del comando Campo dati seleziona la categoria "Oggetti" e in nomi campi dati seleziona "Segnaposto blocco"
    5 - Nella lista "Proprietà " seleziona la voce "Posizione"
    6 - togli i segni di spunta dalle caselle X e Y che appariranno in basso a destra nella finestra
    7 - Salva tutto e chiudi l'editor

    8 - Attiva il modi di osnap CEN e copia il blocco nei centri dei cerchi superiori dei cilindri
    9 - usa il comando RIGEN per vedere i valori dei campi dati aggiornati

    ;;; Domenico IEVA
    ;;; www.domenicoieva.com
  6. Thanks
    Treddi Krueger reacted to dieva in Quote Altimetriche   
    credo che manchi un _ATTSYNC o SINCATT in italiano.
    Quando si modificano gli attributi dei blocchi per rendere visibili le modifiche bisogna usare questo comando per aggiornare.
    Richiama il comando è seleziona uno dei blocchi che hai creato.
     
    ;;; Domenico IEVA
    ;;; www.domenicoieva.com
  7. Like
    Treddi Krueger reacted to fedor in daylight system e luce volumetrica   
    Puoi farlo in molti modi diversi, io magari la luce volumetrica di esterni la simulo con dei livelli trasparenti e dei metodi di fusione, lasciando come delle scie a sfumature leggermente diverse, e osservando delle immagini simili, ma fatto tutto a seconda del tipo di vista che mi capita ogni volta.
    Non ho un metodo preciso, non uso lo scanline, quindi non so darti una risposta di come usare tecnicamente photoshop per ottenere quel tipo di effetto.
    Non è semplicissimo da ottenere ed oltre a saper usare bene photoshop bisogna anche saper disegnare per ottenere un'effetto gradevole.
  8. Like
    Treddi Krueger reacted to Michele71 in Materiale Marmo o pietra: Consigli metodo procedura   
    I parametri ci sono tutti, ma qui ti rimando all'help di max che fai prima, dato che ad esempio, ora sto' scrivendo con il tablet! I parametri che ti ho dato sono una BASE per la costruzioni di materiali Stone. Come gia' accennato, da queste impostazioni, osservi il materiale e cerchi di riprodurlo. Devi tenere presente anche le condizioni della sena come ad esempio, le luci ecc.. Quindi prova ed non aver paura. Potresti anche aprire un WIP in merito, cosi si segue meglio e ci possono essere piu' suggerimeti e consigli
  9. Like
    Treddi Krueger reacted to Manuel84 in Mr proxy, Comportamento in scena   
    Dovresti fare la prova con 10 alberi istanziati e 1 albero proxi istanziato 10 volte. con 1 solo può anche essere più lento...
  10. Like
    Treddi Krueger reacted to Michele71 in daylight system e luce volumetrica   
    In fine tutto torna all'inizio....
  11. Like
    Treddi Krueger reacted to fedor in daylight system e luce volumetrica   
    Ciao Krueger, nel tuo post iniziale chiedevi una luce volumetrica per gli interni.
    è normale che in una scena di esterni non funzioni e abbia tempi bibblici.
  12. Like
    Treddi Krueger reacted to fedor in daylight system e luce volumetrica   
    Ciao ho risposto a questa domanda qui: http://www.osnap.it/libera/forum_risposte.php?id_discussione=492&id_risposte=&id_forum8
    In questo modo puoi usare il daylight
  13. Like
    Treddi Krueger reacted to nicolce in Mr Photographic Exposure VS Bitmap Environment   
    Buongiorno.

    Quello che segue non è un tutorial vero e proprio, tuttavia credo possa essere un piccolo consiglio utile per tutti gli utenti di mental ray in 3dsmax e non solo (anche se personalmente l'ho provato solo in 3ds).

    Non chiedetemi di spiegare la teoria che ci sta dietro perchè non la so, ci sono arrivato tramite un mix di imprecazioni, intuizione e sperimentazione.

    In ogni caso, quando si inserisce una bitmap nell'environment di Max ed al contempo si utilizza il daylight system di mental ray in congiunzione con il photographic exposure sorge il noto problema della "scurezza" dello sfondo.



    La soluzione consiste nell'aumentare il valore di output a casaccio, facendo dei test render finchè non va più o meno bene.



    Bene, ma esiste una formula attraverso la quale si può ottenere un valore esatto.

    Ed è la seguente:

    output = 2^(ev+1)

    Ad esempio con un EV=12 mi basta calcolare 2^13=8192, inserisco il valore e sono a posto.



    Semplice e indolore. Provare per credere.

    Ciao.

  14. Like
    Treddi Krueger reacted to marco 82 in Taglio con sketchup   
    Esiste una plugin... si chiama zorro2 se non sbaglio. Occhio però: è compatibile solo con sketchup 7, se non ricordo male è specificato che a causa di alcuni cambiamenti introdotti dagli sviluppatori in sketchup 8 la plugin non funziona o lavora male
    Spero di averti aiutato un pochino^^
    Ciao
×
×
  • Create New...